<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trade.service.system.mapper.SysCountryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.trade.service.system.domain.SysCountry">
        <result column="id" property="id" />
        <result column="deleted" property="deleted" />
        <result column="gmt_create" property="gmtCreate" />
        <result column="gmt_modified" property="gmtModified" />
        <result column="code" property="code" />
        <result column="name" property="name" />
        <result column="continent" property="continent" />
        <result column="gradation" property="gradation" />
        <result column="level" property="level" />
        <result column="sanctioned" property="sanctioned" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        deleted,
        gmt_create,
        gmt_modified,
        `code`, `name`, continent, gradation, `level`, sanctioned
    </sql>

</mapper>
